from setuptools import setup

setup(
    name="glickey",
    version="0.1.2",
    packages=["glickey"],
    install_requires=["requests"],
    author="Moh Iqbal Hidayat",
    author_email="iqbalmh18.dev@gmail.com",
    description="Glickey – Secure & Simple License Key Management with GitHub Gist",
    long_description="Glickey is a lightweight Python module designed for license key management, utilizing GitHub Gist as a secure and scalable database. It enables developers to efficiently generate, validate, and manage license keys while enforcing expiration dates and device-based authentication.",
    long_description_content_type="text/markdown",
    url="https://pypi.org/project/metathon",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
)